devplugin

## Class PluginCenterPanelWrapper

- java.lang.Object
- - devplugin.PluginCenterPanelWrapper

-     public abstract class PluginCenterPanelWrapper
      extends java.lang.Object

  A class that is used to support the adding of panels in the center window of TV-Browser. Create an instance of this interface to use it for your Plugin.
  Since:
    3.2
  Author:
    René Mach

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PluginCenterPanelWrapper()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `filterSelected(ProgramFilter filter)` Informs this wrapper about a changing of the used program filter of the TV-Browser program table.
    `abstract PluginCenterPanel[]` | `getCenterPanels()` Gets the PluginCenterPanel that should be available for your Plugin.
    `void` | `programScrolled(Program prog)` Informs this wrapper about a program scrolling of the TV-Browser program table.
    `void` | `programSelected(Program prog)` Informs this wrapper about a program selection of the TV-Browser program table.
    `void` | `scrolledToChannel(Channel channel)` Informs this wrapper about a changing of the selected channel in the TV-Browser program table.
    `void` | `scrolledToDate(Date date)` Informs this wrapper about a changing of the selected date of the TV-Browser program table.
    `void` | `scrolledToNow()` Informs this wrapper about a scrolling to now in the TV-Browser program table.
    `void` | `scrolledToTime(int time)` Informs this wrapper about a changing of the selected time of the TV-Browser program table.
    `void` | `timeEvent()` Informs this wrapper about a time event.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PluginCenterPanelWrapper

          public PluginCenterPanelWrapper()

  - ### Method Detail

    - #### getCenterPanels

          public abstract PluginCenterPanel[] getCenterPanels()

      Gets the PluginCenterPanel that should be available for your Plugin.

      Returns:
        The available `PluginCenterPanel`

    - #### programSelected

          public void programSelected(Program prog)

      Informs this wrapper about a program selection of the TV-Browser program table.

      Parameters:
        `prog` - The selected program.

    - #### programScrolled

          public void programScrolled(Program prog)

      Informs this wrapper about a program scrolling of the TV-Browser program table.

      Parameters:
        `prog` - The program to scroll to.

    - #### filterSelected

          public void filterSelected(ProgramFilter filter)

      Informs this wrapper about a changing of the used program filter of the TV-Browser program table.

      Parameters:
        `filter` - The new selected filter.

    - #### scrolledToChannel

          public void scrolledToChannel(Channel channel)

      Informs this wrapper about a changing of the selected channel in the TV-Browser program table.

      Parameters:
        `channel` - The new selected channel.

    - #### scrolledToDate

          public void scrolledToDate(Date date)

      Informs this wrapper about a changing of the selected date of the TV-Browser program table.

      Parameters:
        `date` - The new selected date.
        `minute` - The minute of the date to scroll to.

    - #### scrolledToTime

          public void scrolledToTime(int time)

      Informs this wrapper about a changing of the selected time of the TV-Browser program table.

      Parameters:
        `time` - The new selected time-

    - #### scrolledToNow

          public void scrolledToNow()

      Informs this wrapper about a scrolling to now in the TV-Browser program table.

    - #### timeEvent

          public void timeEvent()

      Informs this wrapper about a time event. (It is triggered by the program table of TV-Browser, normally every minute one time.)

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)